Package org.gradle.model

# Class ReadOnlyModelViewException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.model.ReadOnlyModelViewException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ModelViewClosedException`

@Incubating public class ReadOnlyModelViewException extends GradleException
Thrown when an attempt is made to change the value of a model element that is not writable at the time.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ReadOnlyModelViewException(String message)`
`ReadOnlyModelViewException(org.gradle.model.internal.core.ModelPath path, org.gradle.model.internal.type.ModelType<?> type, org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)`

## Method Summary

Modifier and Type
Method
Description
`protected static String`
`createMessage(String viewType, org.gradle.model.internal.core.ModelPath path, org.gradle.model.internal.type.ModelType<?> type, org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReadOnlyModelViewException

public ReadOnlyModelViewException(String message)

### ReadOnlyModelViewException

public ReadOnlyModelViewException(org.gradle.model.internal.core.ModelPath path, org.gradle.model.internal.type.ModelType<?> type, org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)

## Method Details

### createMessage

protected static String createMessage(String viewType, org.gradle.model.internal.core.ModelPath path, org.gradle.model.internal.type.ModelType<?> type, org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)